%{?nodejs_find_provides_and_requires}

%global packagename cjson
%global enable_tests 1

Name:		nodejs-cjson
Version:	0.3.2
Release:	%mkrel 4
Group:          Development/Other
Summary:	Commented JavaScript Object Notation

License:	MIT
URL:		https://github.com/kof/node-cjson.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/kof/node-cjson/master/LICENSE
# upstream license file was added after this release

BuildArch:	noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(json-parse-helpfulerror)
%endif

%description
cjson - Commented JavaScript Object Notation. It is a json loader, which parses
only valid json files, but with comments enabled. Useful for loading configs.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}




%changelog
* Wed May 17 2017 neoclust <neoclust> 0.3.2-4.mga6
+ Revision: 1102392
- imported package nodejs-cjson


* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.2-2
- Initial packaging
